# Используем базовый образ с установленной JDK
FROM openjdk:17-jdk-slim

# Создаем директорию для исходных файлов
RUN mkdir /var/data

# Создаем директорию для приложения
WORKDIR /app

#Копируем исходные файлы приложения внутрь контейнера
COPY src /app/src

#Компилируем код
RUN javac /app/src/Main.java

# Определяем команду для запуска приложения
CMD ["java", "-cp", "/app/src", "Main"]
